visma/magento2-psalm

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

Psalm plugin for Magento 2

Installs: 15

Dependents: 0

Suggesters: 0

Security: 0

Stars: 3

Watchers: 3

Forks: 2

Open Issues: 2

Type:psalm-plugin

dev-master 2020-04-02 09:41 UTC

This package is auto-updated.

Last update: 2021-07-30 13:07:14 UTC


README

Psalm plugin for Magento 2

Installation

composer require --dev visma/magento2-psalm
vendor/bin/psalm-plugin enable visma/magento2-psalm

Usage

Run psalm

What does it currently do?

  • Missing factory classes are mocked
  • Stubs for badly annotated classes